Posted by Brian @ 2:44 pm on March 19th 2010

Fixing the Lyx document class unusable error in Ubuntu

I got this error in Lyx working on a book project:
The layout file requested by this document,
mwbk.layout,
is not usable. This is probably because a LaTeX
class or style file required by it is not
available. See the Customization documentation
for more information.
LyX will not be able to produce output.

If you get this, you’re missing a single package. Fix it with:
sudo apt-get install tetex-extra

Edited 11/12/2010
The above solution only works for Ubuntu 10.04 and older. For 10.10 (Maverick) do this:
sudo apt-get install texlive-lang-polish

I also had to go to Tools -> Reconfigure after the package installed.